/****
*   Program Name : TESTHELP.PRG                                                        
*
*   Author       : Michael Abadjiev
*   Last Update  : 08/03/93                                                       
*
*   Purpose      : Test Module for Clipper Help System
*   Language     : Clipper 5.01a
*
*
****/            

#include "inkey.ch"
#include "box.ch"
#include "windows.ch"
#include "clock.ch"

EXTERNAL GetReader

FUNCTION TestHelp()                                          

   LOCAL nJunk := space(20),;
         cNone := space(30),;
         cGar  := space(20),;
         GetList := {},     ;
         oTemp, oMain


   set(_SET_EXCLUSIVE,.f.)

   // If you want to make the HELP read only uncomment the line below
   // HelpMode(.f.)


   // 
   // This is the call to your HELP SYSTEM
   // Initialize the HELP files creates the .DBF, .DBT and .NTX
   // Set key F1 to the help
   setkey(K_F1,{|cProc,nLine,cVar| SysHelp(cProc,nLine,cVar) })
   // 


   setkey(K_ALT_X,{ || Bye()})
   setkey(K_F10,{ || SetHelpMode()})

   set bell on
   set scoreboard off
   HelpConfig( maxrow(), "B/W" )
   // dispbegin()
   define window oMain at 00,00,maxrow(),maxcol()
   define window oTemp at 10,05,16,maxcol()-4 ;
          border B_SINGLE color "B/W" shadow explode

   activate window oMain
   WallPaper("BLUE")
   set clock at 0,maxcol()-10 color "B/W"
   HelpLine(" System Help Demo ",,0)
   HelpLine(" <F1> for Help, <F10>  Help Edit Mode ")
   // dispend()

   activate window oTemp  
   set clock on
   setcolor("B/W,W+/B")

   @ 12,20 say "Enter a number.....:" get nJunk 
   @ 13,20 say "Enter province.....:" get cGar  
   @ 14,20 say "Enter country......:" get cNone 
   read                   
   set clock off
   HelpLine()
   HelpLine()
   deactivate window oTemp
   deactivate window oMain
   // scroll()

RETURN nil

STATIC FUNCTION Bye(lPrompt)

    LOCAL nChoice := 0

    lPrompt := IF(valtype(lPrompt) <> "L",.t.,.f.)

    IF(lPrompt,nChoice := alert("Do you really want to QUIT?",{"Yes","No"},"W/B"),nil)
    IF nChoice == 1  .or. nChoice == 0
        close all
        setcursor(1)
        setcolor("")
        scroll()
        setmode(25)
        quit
    ENDIF

RETURN nil

STATIC FUNCTION SetHelpMode()

    LOCAL lResult := HelpMode(), nRow := row(), nCol := col()

    HelpMode(!lResult)

    HelpLine(" Help Edit Mode is: " + IF(HelpMode(),"* ON * ","* OFF * "))
    tone(100,1)
    ClkInkey(1)
    HelpLine()                                               
    devpos(nRow,nCol)

RETURN nil
