/****
*   Program Name: WINDOWS.CH 
*
*   Date Created: 07/07/93          
*   Time Created: 00:45:04
*        Author : Michael Abadjiev
*       Language: Clipper 5.20b    
*
*        Purpose: Windows Header File
*/


// number of instance variables
#define WIN_SIZE        13

// default icon size
#define WIN_XICON       5
#define WIN_YICON       2

// window object structure
#define WIN_T           1
#define WIN_L           2
#define WIN_B           3
#define WIN_R           4
#define WIN_COLOR       5
#define WIN_BORDER      6
#define WIN_FILL        7
#define WIN_SHADOW      8
#define WIN_TITLE       9 
#define WIN_TITLECOLOR  10
#define WIN_EXPLODE     11
#define WIN_BLOCK       12
#define WIN_ACTIVE      13


// preferred usage
#xcommand DEFINE WINDOW <x> [FROM <t>, <l>]                         ;
                            [TO <b>, <r>]                           ;
                            [COLOR <color>]                         ;
                            [BORDER <border>]                       ;
                            [FILL WITH <fill>]                      ;
                            [TITLE <title>]                         ;
                            [TITLECOLOR <tcolor>]                   ;
                            [<shadow: SHADOW>]                      ;
                            [<explode: EXPLODE>]                    ;
                            [EXECUTE <block>]                       ;
=> <x> := WinCreate(<t>, <l>, <b>, <r>, <color>, <border>, <fill>,  ;
            <.shadow.>, <.explode.>, <title>, <tcolor>, <{block}>)



// another acceptable form
#xcommand DEFINE WINDOW <x>         ;
            [<clauses,...>]         ;
            AT <t>, <l>, <b>, <r>   ;
            [<moreclauses,...>]     ;
                                    ;
=> DEFINE WINDOW <x>                ;
            FROM <t>, <l>           ;
            TO <b>, <r>             ;
            [<clauses>]             ;
            [<moreclauses>]


#xcommand ACTIVATE WINDOW <x> ;
=> WinActive(<x>)

#xcommand DEACTIVATE WINDOW <x> ;
=> WinDeact(<x>)

#xcommand RELEASE WINDOW <x> ;
=> WinRelease(<x>) ; <x> := nil


**** EOF windows.ch

